/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-11-11
 * 描述            ：包装实绩管理表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Packing.Result.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Packing.Result.mapper.MesPackResultMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="MES_PACK_RESULT", namespace=MesPackResultMapper.class)
public class MesPackResult extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -3699474947302397137L;
	/** 
	 * 子卷号
	 */ 
	@Id
	private String coil_no;
	public String getCoil_no() {
		return this.coil_no;
	}
	public void setCoil_no(String coil_no) {
		this.coil_no = coil_no;
	}

	/** 
	 * 原料卷号
	 */ 
	@Column
	private String mat_coil_no;
	public String getMat_coil_no() {
		return this.mat_coil_no;
	}
	public void setMat_coil_no(String mat_coil_no) {
		this.mat_coil_no = mat_coil_no;
	}

	/** 
	 * 订单号
	 */ 
	@Column
	private String order_no;
	public String getOrder_no() {
		return this.order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}

	/** 
	 * 作业日期（YYYY-MM-DD）
	 */ 
	@Column
	private String wrk_date;
	public String getWrk_date() {
		return this.wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}

	/** 
	 * 作业班次（0常白班、1晚班、2白班、3中班）
	 */ 
	@Column
	private String wrk_ord;
	public String getWrk_ord() {
		return this.wrk_ord;
	}
	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}

	/** 
	 * 作业班组（0常白班、1甲班、2乙班、3丙班、4丁班）
	 */ 
	@Column
	private String wrk_grp;
	public String getWrk_grp() {
		return this.wrk_grp;
	}
	public void setWrk_grp(String wrk_grp) {
		this.wrk_grp = wrk_grp;
	}

	/** 
	 * 牌号
	 */ 
	@Column
	private String steel_name;
	public String getSteel_name() {
		return this.steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	/** 
	 * 子卷牌号
	 */ 
	@Column
	private String steel_code;
	public String getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	/** 
	 * 子卷厚度
	 */ 
	@Column
	private Double act_thk;
	public Double getAct_thk() {
		return this.act_thk;
	}
	public void setAct_thk(Double act_thk) {
		this.act_thk = act_thk;
	}

	/** 
	 * 子卷宽度
	 */ 
	@Column
	private Double act_wdt;
	public Double getAct_wdt() {
		return this.act_wdt;
	}
	public void setAct_wdt(Double act_wdt) {
		this.act_wdt = act_wdt;
	}

	/** 
	 * 子卷长度
	 */ 
	@Column
	private Double act_len;
	public Double getAct_len() {
		return this.act_len;
	}
	public void setAct_len(Double act_len) {
		this.act_len = act_len;
	}

	/** 
	 * 子卷内径
	 */ 
	@Column
	private Double act_inn_dia;
	public Double getAct_inn_dia() {
		return this.act_inn_dia;
	}
	public void setAct_inn_dia(Double act_inn_dia) {
		this.act_inn_dia = act_inn_dia;
	}

	/** 
	 * 子卷外径
	 */ 
	@Column
	private Double act_out_dia;
	public Double getAct_out_dia() {
		return this.act_out_dia;
	}
	public void setAct_out_dia(Double act_out_dia) {
		this.act_out_dia = act_out_dia;
	}

	/** 
	 * 子卷理重
	 */ 
	@Column
	private Double coil_thr_wgt;
	public Double getCoil_thr_wgt() {
		return this.coil_thr_wgt;
	}
	public void setCoil_thr_wgt(Double coil_thr_wgt) {
		this.coil_thr_wgt = coil_thr_wgt;
	}

	/** 
	 * 子卷实量
	 */ 
	@Column
	private Double coil_act_wgt;
	public Double getCoil_act_wgt() {
		return this.coil_act_wgt;
	}
	public void setCoil_act_wgt(Double coil_act_wgt) {
		this.coil_act_wgt = coil_act_wgt;
	}

	/** 
	 * 包装要求编码(2011)
	 */ 
	@Column
	private String pk_ask_code;
	public String getPk_ask_code() {
		return this.pk_ask_code;
	}
	public void setPk_ask_code(String pk_ask_code) {
		this.pk_ask_code = pk_ask_code;
	}

	/** 
	 * 包装要求名称
	 */ 
	@Column
	private String pk_ask_desc;
	public String getPk_ask_desc() {
		return this.pk_ask_desc;
	}
	public void setPk_ask_desc(String pk_ask_desc) {
		this.pk_ask_desc = pk_ask_desc;
	}

	/** 
	 * 包装实绩编码(2011)
	 */ 
	@Column
	private String pk_rlt_code;
	public String getPk_rlt_code() {
		return this.pk_rlt_code;
	}
	public void setPk_rlt_code(String pk_rlt_code) {
		this.pk_rlt_code = pk_rlt_code;
	}

	/** 
	 * 包装实绩名称
	 */ 
	@Column
	private String pk_rlt_desc;
	public String getPk_rlt_desc() {
		return this.pk_rlt_desc;
	}
	public void setPk_rlt_desc(String pk_rlt_desc) {
		this.pk_rlt_desc = pk_rlt_desc;
	}

	/** 
	 * 销售备注
	 */ 
	@Column
	private String memo_xs;
	public String getMemo_xs() {
		return this.memo_xs;
	}
	public void setMemo_xs(String memo_xs) {
		this.memo_xs = memo_xs;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 操作人
	 */ 
	@Column
	private String create_man;
	public String getCreate_man() {
		return this.create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}

	/** 
	 * 操作时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}
	
	/** 
	 * 机台号代码
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 机台号名称
	 */ 
	@Column
	private String machine_name;
	public String getMachine_name() {
		return this.machine_name;
	}
	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}
	
	private String areaname;//区域
	public String getAreaname() {
		return areaname;
	}
	public void setAreaname(String areaname) {
		this.areaname = areaname;
	}

	private String buttressname;//垛位
	public String getButtressname() {
		return buttressname;
	}
	public void setButtressname(String buttressname) {
		this.buttressname = buttressname;
	}
	
	private String locality;//位置
	public String getLocality() {
		return locality;
	}
	public void setLocality(String locality) {
		this.locality = locality;
	}
	
	private String producedate;//生产时间
	public String getProducedate() {
		return producedate;
	}
	public void setProducedate(String producedate) {
		this.producedate = producedate;
	}
	
	private String indate;//入库时间
	public String getIndate() {
		return indate;
	}
	public void setIndate(String indate) {
		this.indate = indate;
	}
		
	private String order_thick;//订单厚度
	public String getOrder_thick() {
		return order_thick;
	}
	public void setOrder_thick(String order_thick) {
		this.order_thick = order_thick;
	}
	
	private String order_width;//订单宽度
	public String getOrder_width() {
		return order_width;
	}
	public void setOrder_width(String order_width) {
		this.order_width = order_width;
	}
	
	private String process;//工艺路径
	public String getProcess() {
		return process;
	}
	public void setProcess(String process) {
		this.process = process;
	}
	
	//综合判定结果
	private String judgeresult;
	public String getJudgeresult() {
		return judgeresult;
	}
	public void setJudgeresult(String judgeresult) {
		this.judgeresult = judgeresult;
	}
	
	//综合判定结果
	private String storageattr;
	public String getStorageattr() {
		return storageattr;
	}
	public void setStorageattr(String storageattr) {
		this.storageattr = storageattr;
	}
	
}
